restinio::utils::tuple_algorithms Namespace Reference

## Namespaces

namespace | impl

## Functions

template<typename Tuple , typename Predicate >
RESTINIO_NODISCARD bool | all_of (Tuple &&tuple, Predicate &&predicate)
template<typename Tuple , typename Predicate >
RESTINIO_NODISCARD bool | any_of (Tuple &&tuple, Predicate &&predicate)

## Function Documentation

## all_of()

template<typename Tuple , typename Predicate >

RESTINIO_NODISCARD bool restinio::utils::tuple_algorithms::all_of | ( | Tuple && | tuple,
|  | Predicate && | predicate
| ) |  |

Definition at line 103 of file tuple_algorithms.hpp.

## any_of()

template<typename Tuple , typename Predicate >

RESTINIO_NODISCARD bool restinio::utils::tuple_algorithms::any_of | ( | Tuple && | tuple,
|  | Predicate && | predicate
| ) |  |

Definition at line 117 of file tuple_algorithms.hpp.